POST
Transfers/transfersTransfer between wallets
Moves funds between source and destination wallets with optional fee.
Access tiercustomer_or_businessRate limit20/minIdempotencybody:idempotency_keyAuthenticationBearerAuth
Source
LuxApi/app/Http/Controllers/Api/WalletApiController.php::transferLuxPayProjects @ 146e98baa44eParameters
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...Request body
TransferRequestRequired
source_wallet_idinteger
Example:
42destination_wallet_idinteger
Example:
87amountnumber
Example:
1250.5currency_codestring
Example:
YERidempotency_keystring
Example:
transfer_01JABC...transfer_typestring
fee_amountnumber
descriptionstring | null
JSON example
{
"source_wallet_id": 42,
"destination_wallet_id": 87,
"amount": 1250.5,
"currency_code": "YER",
"idempotency_key": "transfer_01JABC...",
"transfer_type": "wallet_to_wallet",
"fee_amount": 0,
"description": "string"
}Code examples
The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/transfers' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"source_wallet_id": 42,
"destination_wallet_id": 87,
"amount": 1250.5,
"currency_code": "YER",
"idempotency_key": "transfer_01JABC...",
"transfer_type": "wallet_to_wallet",
"fee_amount": 0,
"description": "string"
}'Responses
200Successful response.
statusboolean
Example:
truemessagestring | null
dataTransfer
{
"status": true,
"message": "string",
"data": {
"uuid": "00000000-0000-4000-8000-000000000001",
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"fee_amount": 1,
"status": "string",
"idempotency_key": "string"
}
}